<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DependencyReportTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DependencyReportTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/ProjectReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/diagnostics/DependencyReportTask.html" target="_top">Frames</a></li>
<li><a href="DependencyReportTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.diagnostics</div>
<h2 title="Class DependencyReportTask" class="title">Class DependencyReportTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html" title="class in org.gradle.api.tasks.diagnostics">org.gradle.api.tasks.diagnostics.AbstractReportTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics">org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.diagnostics.DependencyReportTask</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">DependencyReportTask</span>
extends <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics">AbstractDependencyReportTask</a></pre>
<div class="block">Displays the dependency tree for a project. An instance of this type is used when you
 execute the <code>dependencies</code> task from the command-line.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyReportTask.html#DependencyReportTask()">DependencyReportTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyReportTask.html#getTaskConfigurations()">getTaskConfigurations</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.diagnostics.<a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics">AbstractDependencyReportTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#generate(org.gradle.api.Project)">generate</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#getConfigurations()">getConfigurations</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#getRenderer()">getRenderer</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#setConfiguration(java.lang.String)">setConfiguration</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#setConfigurations(java.util.Set)">setConfigurations</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer)">setRenderer</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.diagnostics.AbstractReportTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.diagnostics.<a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html" title="class in org.gradle.api.tasks.diagnostics">AbstractReportTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#generate()">generate</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#getClientMetaData()">getClientMetaData</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#getOutputFile()">getOutputFile</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#getProjects()">getProjects</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#getTextOutputFactory()">getTextOutputFactory</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#setOutputFile(java.io.File)">setOutputFile</a>, <a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractReportTask.html#setProjects(java.util.Set)">setProjects</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DependencyReportTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DependencyReportTask</h4>
<pre>public&nbsp;DependencyReportTask()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTaskConfigurations()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTaskConfigurations</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a>&nbsp;getTaskConfigurations()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html#getTaskConfigurations()">getTaskConfigurations</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/diagnostics/AbstractDependencyReportTask.html" title="class in org.gradle.api.tasks.diagnostics">AbstractDependencyReportTask</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/diagnostics/ProjectReportTask.html" title="class in org.gradle.api.tasks.diagnostics"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/diagnostics/DependencyReportTask.html" target="_top">Frames</a></li>
<li><a href="DependencyReportTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
